[package]
authors = ["Marcel Märtens <marcel.cochem@googlemail.com>"]
edition = "2018"
name = "veloren-common-state"
version = "0.9.0"

[features]
tracy = ["common/tracy"]
simd = ["vek/platform_intrinsics"]
plugins = ["toml", "tar", "wasmer", "bincode", "plugin-api", "serde"]

default = ["simd"]

[dependencies]
common = { package = "veloren-common", path = ".." }
common-net = { package = "veloren-common-net", path = "../net" }
common-ecs = { package = "veloren-common-ecs", path = "../ecs" }
common-base = { package = "veloren-common-base", path = "../base" }

rayon = "1.5"
num_cpus = "1.0"
tracing = { version = "0.1", default-features = false }
vek = { version = "=0.14.1", features = ["serde"] }

# Data structures
hashbrown = { version = "0.11", features = ["rayon", "serde", "nightly"] }

# ECS
specs = { git = "https://github.com/amethyst/specs.git", features = ["serde", "storage-event-control", "derive"], rev = "f985bec5d456f7b0dd8aae99848f9473c2cd9d46" }

# Plugins
scopeguard = "1.1.0"
serde = { version = "1.0.110", features = ["derive"], optional = true }
toml = { version = "0.5.7", optional = true }
tar = { version = "0.4.30", optional = true }
wasmer = { version = "1.0.0", optional = true, default-features = false, features = ["wat", "default-cranelift", "default-jit"] }
bincode = { version = "1.3.1", optional = true }
plugin-api = { package = "veloren-plugin-api", path = "../../plugin/api", optional = true }

# Tweak running code
#inline_tweak = { version = "1.0.8", features = ["release_tweak"] }
